Documents

Ensure Document Preview

POST
/orgs/{organizationId}/documents/{documentId}/preview

Returns how to show the document in a browser (image or PDF rendition). Starts PDF generation when a rendition is missing; poll while the status is generating.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

documentId*string
Length1 <= length

Response Body

OK

application/json
  1. response
status*string
Value in"ready""generating""unsupported"
kind*|null
url*|

Signed URL of the browser-renderable rendition

createdAt*string
Formatdate-time
createdByName*string|null
curl -X POST 'https://api.tillor.eu/orgs/string/documents/string/preview'
{  "status": "ready",  "kind": "pdf",  "url": "string",  "createdAt": "2019-08-24T14:15:22Z",  "createdByName": "string"}